summaryrefslogtreecommitdiffstats
path: root/scripts/trex-cfg
diff options
context:
space:
mode:
authorYaroslav Brustinov <ybrustin@cisco.com>2016-08-01 18:48:06 +0300
committerYaroslav Brustinov <ybrustin@cisco.com>2016-08-01 18:48:06 +0300
commit511854b7a8fe289603cb4475a39d713244846ebf (patch)
tree16efc4f16c93e4d0ad6351287d8710a9583cc4fa /scripts/trex-cfg
parent5add0c5625a0e46e1451806ca54070b5bcec7ccb (diff)
Python3 support for Stateful daemon
Python 3.5 support in ZMQ Verify ZMQ health in Stateful daemon Add get_trex_config() command to Stateful daemon Strip debug info on Python ZMQ .so files
Diffstat (limited to 'scripts/trex-cfg')
-rwxr-xr-xscripts/trex-cfg5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/trex-cfg b/scripts/trex-cfg
index 44ef678c..02421001 100755
--- a/scripts/trex-cfg
+++ b/scripts/trex-cfg
@@ -65,6 +65,5 @@ fi
# try to bind the ports from the configuration file (new DPDK)
PARENT_ARGS="$0 $@"
-if ! ./dpdk_setup_ports.py --parent "$PARENT_ARGS"; then
- exit 1
-fi
+(/usr/bin/python -V &> /dev/null && ./dpdk_setup_ports.py --parent "$PARENT_ARGS") ||
+ (/usr/bin/python3 -V &> /dev/null && /usr/bin/python3 dpdk_setup_ports.py --parent "$PARENT_ARGS") || exit 1